import { Component } from '@angular/core';
import * as GC from "@grapecity/spread-sheets";
import "@grapecity/spread-sheets-print";

@Component({
    selector: 'my-app',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    title = 'sjs-angular-app';
    spread: GC.Spread.Sheets.Workbook;
    hostStyle = {
        width: '100%',
        height: '500px'
    };

    //Initialization
    workbookInit($event: any) {
        //initialize the spread
        this.spread = $event.spread;
        let sheet = this.spread.getActiveSheet();
        sheet.getCell(0, 0).text("Text")

        // click event
        document.getElementById("print").addEventListener("click", (e) => {
            console.log(this.spread)
            this.spread.print();
        })
    }
}